Ptex: PtexReader::MetaData::Entry Struct Reference

Ptex

Public Member Functions | Public Attributes | List of all members
PtexReader::MetaData::Entry Struct Reference

`#include <PtexReader.h>`

## Public Member Functions
| Entry ()
| ~Entry ()
void | clear ()

## Public Attributes
const char * | key
MetaDataType | type
uint32_t | datasize
char * | data
bool | isLmd
LargeMetaData * | lmdData
FilePos | lmdPos
uint32_t | lmdZipSize
uint32_t | index

## Detailed Description

Definition at line 284 of file PtexReader.h.

## Constructor & Destructor Documentation

## ◆ Entry()

PtexReader::MetaData::Entry::Entry | ( |  | ) |
| inline

Definition at line 295 of file PtexReader.h.

## ◆ ~Entry()

PtexReader::MetaData::Entry::~Entry | ( |  | ) |
| inline

Definition at line 298 of file PtexReader.h.

References clear().

## Member Function Documentation

## ◆ clear()

void PtexReader::MetaData::Entry::clear | ( |  | ) |
| inline

Definition at line 299 of file PtexReader.h.

References data, isLmd, lmdData, lmdPos, and lmdZipSize.

Referenced by PtexReader::MetaData::newEntry(), and ~Entry().

## Member Data Documentation

## ◆ data

char* PtexReader::MetaData::Entry::data

Definition at line 288 of file PtexReader.h.

Referenced by PtexReader::MetaData::addEntry(), clear(), PtexReader::MetaData::getEntry(), PtexReader::MetaData::getValue(), PtexReader::MetaData::getValue(), and PtexReader::MetaData::getValue().

## ◆ datasize

uint32_t PtexReader::MetaData::Entry::datasize

Definition at line 287 of file PtexReader.h.

Referenced by PtexReader::MetaData::getEntry(), PtexReader::MetaData::getValue(), and PtexReader::MetaData::newEntry().

## ◆ index

uint32_t PtexReader::MetaData::Entry::index

Definition at line 293 of file PtexReader.h.

Referenced by PtexReader::MetaData::newEntry().

## ◆ isLmd

bool PtexReader::MetaData::Entry::isLmd

Definition at line 289 of file PtexReader.h.

Referenced by PtexReader::MetaData::addLmdEntry(), clear(), and PtexReader::MetaData::getEntry().

## ◆ key

const char* PtexReader::MetaData::Entry::key

Definition at line 285 of file PtexReader.h.

Referenced by PtexReader::MetaData::getKey(), and PtexReader::MetaData::newEntry().

## ◆ lmdData

LargeMetaData* PtexReader::MetaData::Entry::lmdData

Definition at line 290 of file PtexReader.h.

Referenced by PtexReader::MetaData::addLmdEntry(), clear(), and PtexReader::MetaData::getEntry().

## ◆ lmdPos

FilePos PtexReader::MetaData::Entry::lmdPos

Definition at line 291 of file PtexReader.h.

Referenced by PtexReader::MetaData::addLmdEntry(), clear(), and PtexReader::MetaData::getEntry().

## ◆ lmdZipSize

uint32_t PtexReader::MetaData::Entry::lmdZipSize

Definition at line 292 of file PtexReader.h.

Referenced by PtexReader::MetaData::addLmdEntry(), clear(), and PtexReader::MetaData::getEntry().

## ◆ type

MetaDataType PtexReader::MetaData::Entry::type

Definition at line 286 of file PtexReader.h.

Referenced by PtexReader::MetaData::getKey(), PtexReader::MetaData::getValue(), PtexReader::MetaData::getValue(), PtexReader::MetaData::getValue(), and PtexReader::MetaData::newEntry().

The documentation for this struct was generated from the following file:

- PtexReader.h